package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.StorageViewGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface StorageViewGroupProvider extends SuperProvider {
    @Override
    public boolean accessable();

    public BocloudResult list();

    public BocloudResult create(StorageViewGroupModel mappingGroupModel);

    public BocloudResult remove(String mappingGroupUuid);

    public BocloudResult attachVolume(StorageViewGroupModel mappingGroupModel);

    public BocloudResult detachVolume(StorageViewGroupModel mappingGroupModel);

    public BocloudResult modifyClientGroup(StorageViewGroupModel mappingGroupModel);

    public BocloudResult detail(Long targetId);
}
